Subject: Re: bug#22740: Freshness check blocks upgrading

From: Alex Kost <[email-masked]>
Date: Sat, 20 Feb 2016 11:30:01 +0300

Andreas Enge (2016-02-19 20:12 +0300) wrote:

> Hello,
>
> when upgrading packages, there is a check for new GNU releases.
> In the presence of network problems preventing to reach the corresponding
> servers, the command "guix package -u" hangs indefinitely.
>
> It would be nice to add a (short) time-out to the procedure looking
> for updates, or better yet, to add a command line flag to turn it off:
> Even when the servers are reachable, checking for new versions takes
> a considerable amount of time that can be saved in many circumstances.
>
> Personally, I would not even mind turning this feature off completely;

I totally agree with this!  I didn't like it since the very beginning.

> I think we update packages sufficiently often and the message is rather
> distracting.

-- 
Alex